﻿using C1.Win.Chart;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexChartBackgroudImage
{    
    public partial class Form1 : Form
    {
        ObservableCollection<Analysis> analysis;
        public Form1()
        {
            InitializeComponent();
            analysis = new ObservableCollection<Analysis>();
            var random = new Random();
            for (int i = 0; i < 10; i++)
            {
                analysis.Add(new Analysis() { Id = i, Value = random.Next(1, 10) });
            }
            flexChart.DataSource = analysis;

            var series = new Series();
            series.Binding = "Value";
            series.Name = "Value";
            flexChart.Series.Add(series);
            flexChart.RenderMode = RenderMode.DirectX;
            flexChart.Rendering += FlexChart_Rendering;
        }
        private void FlexChart_Rendering(object sender, RenderEventArgs e)
        {
            var image = Image.FromFile("../../grapecity.png");
            e.Engine.DrawImage(image, 0, 0, flexChart.PlotRect.Width, flexChart.PlotRect.Height);
        }
    }
    public class Analysis
    {
        public int Id { get; set; }
        public double Value { get; set; }
    }
}
